Beta Versions:

== v0.2 ==
- Paintover of the Glave weapon and spruced up it's graphics
- added new mutiplayer map "MAP13 Courtyard"
- Buffed Dragon Ninja Fireball from 40 dam to 60, removed A Explode from the projectile.
- Nerf, changed the gun bullet damage form 45 to 80, but removed it's random damage factor.

== V0.3 ==
- NERFED the glave, reduced ammo capacity, you can only carry 2 glave uses at a time
- Glave now does A blast and knockback on impact.
- Fixed an issue on MAP05 wherein the elevator textures where misalighned, changed out texture all together.
- Changed the look of the Dragon Statue pickup sprites to make it more visible.
- When picking up 3 Dragon Statues, the status bar will now show a dragon fireball
indicating that you have the dragon fireball powerup.
== V0.4 ==
- added MAP14: "Beach"
- fixed some issues with texture missalighnments in some levels.
- packaged up the game in a zip file to distrubte with zandonrum and doomseeker
- added a bat file that will bypass the "zandronum requires doom" requirements, to run the game properly.
- color converted and remapped the blocking up animation to red to indicate that you heal on parry.
- gun no longer goes to deselect state when you have no ammo while sliding
- glave no longer goes to deselect state when you have no ammo while sliding, 
also does no damage if you have no ammo while sliding.
== V0.5 ==
- Made the Block even more apparent that you can parry when you raise your fists
by adding more red to the spite frames.
- Parrying now leads into a kick attack or a ninja shove. has ninja sounds for the attack.
- fixed a few issues with fist sprite frames.
- Pistol ammo ammount reduced to 2 bullets per clip instead of 4. NERF
- fixed an issue in map 10 "Terminal" wherein the linedefs would block hitscans and projeciles
below the 3d floors, and made sure all the windows in the upper floors would block players 
from passing through.
==V0.6=== (NOT an april fools joke.)
-ADDED player sprite animations for both the glave and sword attacks
-fixed some sprite frames that where too dark, making them unable to translate properly
-fixed an issue with 3red person sprites delaying when using weapons or doing moves,
such as the fire fist or pistol.
-fixed an issue wherein if you run though your ammo with your pistol or glave you character
gets stuck in an animation loop on the deselect state of those weapons.
- added map 15 "Plaza".
- reduced the movment of all players slightly
- NERFed the gun, now has a single bullet per clip.
- NERFed the Glave, ammo capacity has been reduced to two instead of 4.
==V0.7==
- Increased the speed of the Chain from 20 to 45.
- added map16 "Ninja Barricade"
- added new Hud elements for the stamina bar health bar, reveamping them.
- added new announcer sounds to accompany new 4 new medals
- updated zandronum version to z3.2 alpha instead of v3.1
- changed the water in map 16 back to instant death, placed more platforms in the
water so that the player can jump from platform to platform.
- added map17, Casino Hotel.
0.8
- updated the gun graphics with a shinny new paintover
- fixed misspelled Glave to Glaive in code.
- used sector portals to add the plain to the map "Terminal"
- Updated the life steal sword graphics with a new paintover.
0.8.6
- general buff to the fist weapon, does more damage and range.
- doubled the speed of the gun bullet.
- NERFED the glaive, does have damage, but at a factor of 1,2 damage multiplayer
- added a reload up anmation that plays when you have ammo for your gun
- raised the gib health of the player.
- buffed the Dragon fire ball attack.
0.9 - 10
- Sliding consumes 4 stamina instead of 1
- gun now consumes ammo with A Takeinventory to prevent glitches and locking up controls online
- Map16 change- you no longer die instantly in the water, but instead take damage over time.
- bots now jump around, ahs a chance to double jump
- changed the gun hud elements, no longer counts bullets but instead makes the image of the gun appear if you have
pistol ammo.
- fixed an issue with one of the crouch frames.
0.11.2
- added knockback to the dropkick.
- added a hard ninja bot that has more attacks via a edited version of the ninja fists.
-0.12
- added map 20 "Gothic"
-0.13
-"Gothic" map has additional geometry and detail
-drop kick animation for the ninja fists are improved.
- new slide animtation added to the player
- added a spas-12 weapon as a power weapon in deathmatch.
- spas-12 now replaces Super Shotgun
- glaive now replaces plasmarifle
- BFG9000 is now replaced by a randoms spawner that spawns the glaive or the spas
0.14
- added new shotgun death animation for the player and bots.
0.14.1
- improved spas 12 sprites via a diffrent 3d model
0.16
- Buffed the Deathmatch pisotl projectile by double damage
- Buffed the Shogtun projectile so that it can't be deflected
- revamped D_DEMTCH soundtrack
- gave the spas-12 projectile a unique obituary
0.16.1
- better spas-12 render graphics.
- ADDED new midi "Incinerate" aka D_Fire and changed a few maps to have that midi
- added the flag AllowCrouch to all maps in MAPINFO so that you can crouch by default.
- fire fist now has a random chance of dropping Shotgun Ammo (singleplayer)
- singleplayer ninjas now have shotgun death.
- hud now includes indicator for shotgun ammo.
- assighned all singleplayer monsters slots in doom II via the replaces function.
- fixed spelling error in main menu
- single player spas 12 can now be constructed with weapon pieces that replace the chaingun and chainsaw
-0.17
- Dragon Fireball powerup now consumes dragon statues in mutiplayer, only requires 1 statue, max 3 statues.
- added a tutorial level, and credits sequence after you exit the tutorial.
0.18
- NEW MAP MAP22 "hotel hell"
0.19
- added NEW map: map30 "Death Block"
- added a blocking animation to the players.
- included a singleplayer mod version for DOOM as a vertical slice of what's to come.
- changed the name from Mutiplayer to "Sunset Street Ninja (Zandronum Edition)".
0.20
- base fist puff no longer gibs. Raised to base gibfactor to 150 instead of 80 via gameinfo.
single player mod changes:
- CellPacks are placed by shogun ammo now
- Yakuza now resurrects enemies.
- you can no longer randomly spawn as one of the auto bot characters.
0.21.0 beta
- eneimes now gib on impact of the glaive again
- power ammo now drops glaive ammo
- fireballs now drop all power ammo
- defined a power ammo drop for glaive ammo
- Shotgun shell ammo no longer spawns in Deathmatch as a balance change.
- changed the fist swing animation
- Ninja Fireball attack no longer takes stamina unless you trigger it and preform it.
- Added new "ShellShocked" Medal that triggers when you kill a player with the Spas 12 Shotgun
0.22.0
- Updated the spas 12 shotgun sprites using a physical instead of a 3d model.
0.22.5
- added an additional shotgun frame to the spas 12 shotgun reload animtion.
- fixed an issue with the fireball not working properly.
- Better Feedback for fireballs and dragon fireball impacts.
- added death animation to the fire projectiles and unique particle effects.
- new map "map32 Sidetracked".
- fixed an error with the "blocking" actor state that was missing "goto see" in the state.
- revamped "map23 Sidetracked" with better textures and some new geometry.
0.22.6
- added a timed charge up attack: The fire kick
(if you press Mouse 1 and hold it while kicking, you will preform a powerful fire kick.)
- FIRE ATTACKS have been buffed to heal the player by 50pts of health.
- fire kick consumes 150 stam instead of only 50
- added map31 "cylindrical"
- fixe an issue with one of the windows in "sidetracked" wherein you where able 
to clip through it on the left side of the map.
0.22.8
- added reflective surfaces to some of the maps including: "titlemap", "Terminal", and "cylindrical"
0.23
- parrying an attack now preforms the fire kick if you have 150 Stamina.
- fire kick has been buffed, spawns firballs and thrusts the player forward.
- can no longer preform the fire kick by holding fire on ninja kick.
0.24
- added map "Death Deck"
- New Music file D_INTEN "Intensity" by The1AndOnlyBloo
0.30
- Spruced up a majority of the maps, added Green_1 and Green_2 textures.
0.31
- added a slight lunge to the kick
- buffed all enemies health.
0.31.1
- enemies no longer uppercut
- flash bomb bounce type changed to Heretic instead of doom so that it no longer bounces off or walls.
0.32
- A W D combo imput now goes into a fire stance if you have a dragon statue.
	fire kick and fire fist are now relegated to the fire stance, press fire or altfire during fire stance
	dragon statues now improve the chain.
	Fire chain explodes on impact
- ammount of dragon statues collected shows on status bar now
- Dragon Statue actor changed to ammo type
- Fire stance only requires dragon statues in multiplayer DM, and fire attacks in DM consume Dragon statues.
- special fire attacks require 3 dragon statues.
   there are now red dragon statues that spawn in Multiplayer DM that give you 3 statues as ammo.
 - added terrain splashes to the water and blood flats.
 0.33
 - Red Dragon Statues now respawn.
 - Added map "Map34 Dojo"
 =====================
 post release changes:
 ===1.0.2===
 features:
 =======
 - Renamed the Singleplayer mod for DOOM II from "SunsetStreetNinja_SingePlayerMod" to "SunsetStreetNinja_DOOMEdition"
 - Single player mod now has a TITLE pic instead of a TITLE map to go in line with it be a themed doom mod.
 -improved WAL_1 texture
 -ADDED a warp effect to the liquid textures.
 -renamed bots to "Ninja bot Novice" and "Ninja BlackBelt" insterad of ninja bot hard and ninja bot
 -added a chain ninja bot, the bot name is "Chain Ninja"
 ========
 Nerfs:
 -Ninja Kick Now takes 150 stam on contact of enemy
 -Fire Fist attack now ALWAYS consumes 150 stamina as a minor nerf
 -reduced the damage of the Life Steal Sword, however the hitbox is on all frames of
 the animation, making the player need to hit every frame to heal up fully.
 ========
 Buffs:
- Fire Chain Now Heals on impact of a bleeding actor
 bug fixes:
 ========
 - player now always spawns as the proper class with an acs script
 - fixed the player death frames so that the pool of blood is no longer green.
  ===1.0.3===
  bug fixes:
 ========
 - Imported the graphics for the chain ninja into the DOOM edition, fixing missing sprites error
 - Reverted an online player script that would force the player into spawning
 as the base playerclass "Street_Ninja" 
 Bugs:
 ========
  * as a result, player may spawn as one of the player bots in DM as a random playerclass
  on startup, To fix this issue by going into spectate mode online and pressing Join Game.
===1.0.4===
bugs: 
========
fixed an issue with the doom edition with the hard bot, wherein it was assighned the wrong class name, causing
it to inherit from random classes.
===1.0.5===
-added new music "drowning in miami" and "water theme"
-added new map: Map35 "Sewer"
-added new map: Map36 "Mall Ninja"
-the Powerful Dragon fireball attack has been nerfed to consume 3 dragon statues
===1.0.5.1===
- fixed an issue with the shotgun icon still being on the hud screen even if you have no ammo for it.
===1.1===
- Dragon Statues have been replaces with "Dragon_Magic" or Magic orbs that give 25 Dragon magic.
    - Dragon magic is on a meter that builds up to 100pts, when meter is full, can preform fire stance attacks with A W D
	- Dragon will build up over time or by collecting dragonstatues, Magic orbs, or attacking your enemies.
- RED dragon statues are now just normal dragon statues, gives 100 Dragon Magic
- Fire chain buffed to do 100 dam on impact, but due to the changing game machanics, requires 100 Dragon Magic
- Dragon statue and Magic Orb have new pickup sounds
- added dragon statues and magic orbs to additional maps.
- Pistol, Spas 12 and Glaive now have enhanced Fire Stance attacks when the A W D meter is full.
-NEW MAP "MAP23 : Ninja School"
- Fire Stance is required to be in to preform the Fire chain
- Can now preform a Fire sword in the Fire stance, an enhanced version of the life steal sword
- Life steal sword now does 15Pts of damage per hit 56 per hit enhanced by fire stance
 (Sword puff now heals in addition to life steal effect on custom punch)
- Fire stance now enhances the Flash Bomb.
- D_VICTR OR "victory Assured" song added to the roster of music by The1andOnlyBloo
- Ninja Fire kick reduced base damage BUT now as an A_Explode that does 250 dam of aoe in a close radius.
- new tutorial level that includes the new game machanics. scrapped the old tutorial
- fire fist now does 250 base damage with a random damage mutiplayer of 1 to 2
- Parrying no longer uppercuts or kicks, is buffed also to give 25 Dragon magic on parry.
- used a script from Ultimate Mortal Kombat DOOM XL DOOM mod made by Aura to restore Dragon Magic after death in online games.
- New player medal "cauterized" Added to player death when decaidated by your sword while in Fire Stance
- new map "Map26 : ninja training".
- fire kick is no longer bound to Altfire when in fire stance, instead it's an enhancemnet of the ninja kick.
===1.1.1===
- Fixed issues with the blue dragon's body actors
- gave the red and green dragons a unique weave patterns.
- uppercut now consumes 100 stamina on impact
- MAP16 : "Ninja Blockade" has additional skybox detail
===1.2===
- fire stance now lasts twice as many tics or twice as long
- you can now slide during fire stance, doing a devistating fire slide
- bots now slid
==1.2.1==
-removed the ini file from the game files because:
-players will no longer ranodomly spawn as a bot playerclass
==1.3==
- Added an ice stance AKA ice powers to the ninja's Arsenal
   - collecting 3 ice orbs will give you access to the ice stance
   - berserk or dragon statues randomly drops super ice orbs that give you 3 orbs
   - when you have 3 ice orbs you can press the "switch stance" key, defult bind is H
   - uses ice magic, tied to a vertical meter
   - when switching between meters or stanes, you stop generating ammo for the other stance, but only for the one your not switched too.
   - ICE attacks do not drop power ammo but instead drop ICE ARMOR.
   - ICE armor gives 50 pts of armor and stacks up too 400 pts.
   - ICE armor only spawns in singeplayer.
- Yakuza now drops a yakuza head when decapitated
- fixed the ninja sprites on the doom edition
- gave the dragon bodies  noclip and 0 speed
- BUFFED Fire slide: damage is now randomized.
- fixed a bug with the blue key items where showing where the red key items should be
- MAP37 "Cave" added to the roster.
- Magic orbs have been replaces with a new actor: The Power Orbs, they grant ICE AND FIRE magic!
- HYPOTHERMIC medal added to complement the ice powers.
- fixed an issue with the Ninja Kick Keybinds giving errors when activating the kick command.
=1.3.3=
- you now punch in water instead of kicking.
- your fists are now faster by elimiating a few of the punch frames.
=1.3.3.1=
- updated enemy AI
=1.3.3.2=
- color remapped the blue enemies to be more blue in the doom color pallet
=1.3.4=
- removed the intermission music property from the gameinfo (Doom Edition)
- added a map to doom edition for multiplayer DM
- updated the control image.
- updated the full screen options for the hud in both versions
- color remapped kick frames of the ninja actor that i've missed previously
1.3.6====
-helecopter instead of Boss ninja as an enemy replacer
-chain ninjas now kick you away and attack slower when up close
-color remapped the Ninja decapitated head to the proper blue colors
1.3.7====
- PLAYERS NOW VISUALLY DISPLAY WHEN WHAT STANCE THEIR IN FIRE/ICE VIA PLAYER SPRITES
- Removed Noclip and Nogravity flags to pistol and shotgun ammo. 
- Shotgun shells replaces ammo Cell Packs in singleplayer (Doom Edition only).
- Ammo Boxes are replaced by Large Glaive ammo that grant full ammo charge(Doom Edition only).
- Boss onis no longer spawn ninjas as an alt attack, but instead fires an iceball.
- fire puffs (Fire attacks) have a new hit sound.
1.4======
- ICE BALL SPRITES UPDATED
- ICE SWORD DOES LESS BASE DAMAGE, FIRES ICE SPIKES AT A LIMITED RANGE AS PROJECTILES
- ICE KICK HAS LARGER AOE DAMAGE RADIUS, BUT LESS BASE DAMAGE ON THE AOE DAMAGE
- ICE KICK ALSO HAS MORE RANGE WITH A LARGER THRUST.
- ICE STANCE FINALLY HAS FLASH BOMB UPRGADE, IT FIRES AN EXPODING ICE BALL THAT
DOES LARGE AOE.
1.4.1 hotfix
- fixed sprite conflicts with the ice sprites and ice shotgun
1.4.2
- graphics pass on the firefist.
- iceball now has a trail.
- ICEBALL AND ICE PUFFS HAVE AN ORIGINAL ICE EXPLOSION SOUND
1.4.3====
- GRAPHICS PASS ON FIRE SPRITES,
 - improved the chain sprites
 - imrpoved the fire stance sprites
 - imrpoved the fire sword sprites
 - improved the fire slide sprites
 - BUFF ICE attacks now give ice armor directly to the player in DM
 - ICE SWORD GIVES LESS HEALTH, MORE ARMOR
 - you can now dropkick in the ice/fire stances, and it'll preform their respective moves.
 - no longer spawns weapon peices in deathmatch(Doom Edition)
 - shotgun now replaces the bfg in deathmatch, no longer spawns on ssg slots in deathmatch(Doom Edition)
 - added new map in mutiplayer : MAP24 "Into the pit"
 - added new song from the retail game : D_CASIN2 by the1andonlybloo
 - dm flags auto set via the bat file that runs sunset steet ninja.
 - FIRE AND ICE SLIDES CONSUME MAGIC WHILE SLIDING
 1.4.4====
 - Cyber Sword added as a new power weapon that one shots players; uses glaive ammo.
 1.4.4.1==
 - new map "FREEZE" with a new song called "ICE FIST"